Package tigase.db

## Enum AuthRepository.AccountStatus

- java.lang.Object
- - java.lang.Enum<AuthRepository.AccountStatus>
  - - tigase.db.AuthRepository.AccountStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<AuthRepository.AccountStatus>`
  Enclosing interface:
    AuthRepository

      public static enum AuthRepository.AccountStatus
      extends java.lang.Enum<AuthRepository.AccountStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `active` |
    `banned` |
    `disabled` |
    `paid` |
    `pending` |
    `spam` |
    `system` |
    `undefined_active` |
    `undefined_inactive` |
    `vip` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AuthRepository.AccountStatus` | `byValue​(int value)` |
    `int` | `getValue()` |
    `boolean` | `isInactive()` |
    `static AuthRepository.AccountStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static AuthRepository.AccountStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### active

          public static final AuthRepository.AccountStatus active

    - #### disabled

          public static final AuthRepository.AccountStatus disabled

    - #### banned

          public static final AuthRepository.AccountStatus banned

    - #### pending

          public static final AuthRepository.AccountStatus pending

    - #### system

          public static final AuthRepository.AccountStatus system

    - #### vip

          public static final AuthRepository.AccountStatus vip

    - #### paid

          public static final AuthRepository.AccountStatus paid

    - #### spam

          public static final AuthRepository.AccountStatus spam

    - #### undefined_active

          public static final AuthRepository.AccountStatus undefined_active

    - #### undefined_inactive

          public static final AuthRepository.AccountStatus undefined_inactive

  - ### Method Detail

    - #### values

          public static AuthRepository.AccountStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AuthRepository.AccountStatus c : AuthRepository.AccountStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AuthRepository.AccountStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isInactive

          public boolean isInactive()

    - #### byValue

          public static AuthRepository.AccountStatus byValue​(int value)

    - #### getValue

          public int getValue()